> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List workflow outputs

GET https://{tenant_name}.benchling.com/api/v2/workflow-outputs

List workflow outputs

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/workflow-outputs/list-workflow-outputs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `ids` (string, optional) — Comma separated list of workflow output IDs
- `workflowTaskGroupIds` (string, optional) — Comma separated list of workflow IDs
- `workflowTaskIds` (string, optional) — Comma separated list of workflow task IDs
- `schemaId` (string, optional) — The ID of the workflow task schema of the workflow output
- `watcherIds` (string, optional) — Comma separated list of user IDs or "null"
- `responsibleTeamIds` (string, optional) — Comma separated list of team IDs or "null"
- `creationOriginIds` (string, optional) — Comma separated list of entry IDs
- `linkedItemIds.anyOf` (string, optional) — Comma separated list of bioentity or storable IDs. Maximum of 100. Returns workflow outputs where the output's schema fields reference at least one of the provided items.
- `linkedItemIds.allOf` (string, optional) — Comma separated list of bioentity or storable IDs. Returns workflow outputs where the output's schema fields reference all of the provided items.
- `linkedItemIds.noneOf` (string, optional) — Comma separated list of bioentity or storable IDs. Returns workflow outputs where the output's schema fields do not reference any of the provided items.
- `schemaFields` (map from string to any, optional) — Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and \<= operators (but not \< or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
- `name` (string, optional) — The name of the workflow task
- `nameIncludes` (string, optional) — Part of the name of the workflow task
- `creatorIds` (string, optional) — Comma separated list of user IDs.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `displayIds` (string, optional) — Comma-separated list of Workflow Output Display IDs.
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived workflow outputs. Use "ANY_ARCHIVED" to filter for archived workflow outputs regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.

## Response

### 200

OK

- `nextToken` (string, optional)
- `workflowOutputs` (list of WorkflowOutput, optional)

## Errors

### 400 Bad Request Error

Bad request

- `error` (BadRequestErrorError, optional)

## Types

### WorkflowOutput

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task was created
- `creationOrigin` (CreationOrigin, optional)
- `fields` (map from string to Field, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task was last modified
- `nextOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which are generated by this output.
- `nextTasks` (list of WorkflowTaskSummary, optional) — The downstream tasks in the flowchart which are generated by this output.
- `sourceOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which were used to generate this output.
- `sourceTasks` (list of WorkflowTaskSummary, optional) — The tasks in the flowchart which were used to generate this output.
- `webURL` (string, optional) — URL of the workflow output
- `workflowTask` (WorkflowTaskSummary, optional)
- `workflowTaskGroup` (WorkflowTaskGroupSummary, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### CreationOrigin

- `application` (string, optional, nullable)
- `originId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `originType` (string, optional, nullable)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### WorkflowOutputSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output

### WorkflowTaskSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task

### WorkflowTaskGroupSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "workflowOutputs": [
    {
      "displayId": "string",
      "id": "wfout_5cJLQKVF",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "createdAt": "2020-08-01T00:00:00.000Z",
      "creationOrigin": {
        "application": "string",
        "originId": "string",
        "originModalUuid": "string",
        "originType": "string"
      },
      "fields": {},
      "modifiedAt": "2020-08-01T00:00:00.000Z",
      "nextOutputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ],
      "nextTasks": [
        {
          "displayId": "string",
          "id": "wftask_OnnsW08k"
        }
      ],
      "sourceOutputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ],
      "sourceTasks": [
        {
          "displayId": "string",
          "id": "wftask_OnnsW08k"
        }
      ],
      "webURL": "string",
      "workflowTask": {
        "displayId": "string",
        "id": "wftask_OnnsW08k"
      },
      "workflowTaskGroup": {
        "displayId": "string",
        "id": "prs_giVNQcTL",
        "name": "string"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflow-outputs"

querystring = {"archiveReason":"NOT_ARCHIVED","modifiedAt":"> 2022-03-01 AND < 2022-04-01","nextToken":"Im5ldyB0ZXN0Ig=="}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflow-outputs?archiveReason=NOT_ARCHIVED&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01&nextToken=Im5ldyB0ZXN0Ig%3D%3D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```